# Uses of Class
net.shibboleth.idp.attribute.resolver.ad.mapped.impl.ValueMap

Packages that use ValueMap
Package
Description
net.shibboleth.idp.attribute.resolver.ad.mapped.impl
A `DataConnector` implementation that maps from a given set of source value to an output value.
net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl
Contains the parsers for the `MappedAttributeDefinition` and its child elements.

## Uses of ValueMap in net.shibboleth.idp.attribute.resolver.ad.mapped.impl

Fields in net.shibboleth.idp.attribute.resolver.ad.mapped.impl with type parameters of type ValueMap
Modifier and Type
Field
Description
`private Set<ValueMap>`
MappedAttributeDefinition.`valueMaps`
Value maps.
Methods in net.shibboleth.idp.attribute.resolver.ad.mapped.impl that return types with arguments of type ValueMap
Modifier and Type
Method
Description
`Collection<ValueMap>`
MappedAttributeDefinition.`getValueMaps()`
Gets the functions used to map an input value to an output value.
Method parameters in net.shibboleth.idp.attribute.resolver.ad.mapped.impl with type arguments of type ValueMap
Modifier and Type
Method
Description
`void`
MappedAttributeDefinition.`setValueMaps(Collection<ValueMap> mappings)`
Sets the functions used to map an input value to an output value.

## Uses of ValueMap in net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl that return types with arguments of type ValueMap
Modifier and Type
Method
Description
`protected Class<ValueMap>`
ValueMapParser.`getBeanClass(Element element)`